petsc-3.12.1 2019-10-22
Report Typos and Errors

# PetscViewerStringGetStringRead

Returns the string that a string viewer uses

### Synopsis

    #include "petscsys.h"
    PetscErrorCode  PetscViewerStringGetStringRead(PetscViewer viewer,const char *string[],size_t *len)

Logically Collective on PetscViewer

### Input Parameter

viewer -string viewer

### Output Paramters

| string | - the string, optional use NULL if you do not need
| len | - the length of the string, optional use NULL if you do

Notes: Do not write to the string nor free it

### See Also

PetscViewerStringOpen(), PETSCVIEWERSTRING, PetscViewerStringSetString(), PetscViewerStringSPrintf(),
PetscViewerStringSetOwnString()

### Level

advanced

### Location

src/sys/classes/viewer/impls/string/stringv.c

### Examples

src/ts/examples/tutorials/ex3.c.html
Index of all Viewer routines
Table of Contents for all manual pages
Index of all manual pages